/*----- PROTECTED REGION ID(Socket2StateMachine.cpp) ENABLED START -----*/
//=============================================================================
//
// file :        Socket2StateMachine.cpp
//
// description : State machine file for the Socket2 class
//
// project :     
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author: alessio $
//
// $Revision: 1.4 $
// $Date: 2017-12-21 15:34:33 $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <Socket2.h>

/*----- PROTECTED REGION END -----*/	//	Socket2::Socket2StateMachine.cpp

//================================================================
//  States  |  Description
//================================================================
//  ON      |  Connected
//  FAULT   |  Connection failed
//  INIT    |  


namespace Socket2_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : Socket2::is_InputLength_allowed()
 *	Description: Execution allowed for InputLength attribute
 */
//--------------------------------------------------------
bool Socket2::is_InputLength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for InputLength attribute in read access.
	/*----- PROTECTED REGION ID(Socket2::InputLengthStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Socket2::InputLengthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Socket2::is_OutputLength_allowed()
 *	Description: Execution allowed for OutputLength attribute
 */
//--------------------------------------------------------
bool Socket2::is_OutputLength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for OutputLength attribute in read access.
	/*----- PROTECTED REGION ID(Socket2::OutputLengthStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Socket2::OutputLengthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Socket2::is_Reconnections_allowed()
 *	Description: Execution allowed for Reconnections attribute
 */
//--------------------------------------------------------
bool Socket2::is_Reconnections_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for Reconnections attribute in read access.
	/*----- PROTECTED REGION ID(Socket2::ReconnectionsStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Socket2::ReconnectionsStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : Socket2::is_Write_allowed()
 *	Description: Execution allowed for Write attribute
 */
//--------------------------------------------------------
bool Socket2::is_Write_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Socket2::WriteStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Socket2::WriteStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Socket2::is_Read_allowed()
 *	Description: Execution allowed for Read attribute
 */
//--------------------------------------------------------
bool Socket2::is_Read_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Socket2::ReadStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Socket2::ReadStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Socket2::is_ReadUntil_allowed()
 *	Description: Execution allowed for ReadUntil attribute
 */
//--------------------------------------------------------
bool Socket2::is_ReadUntil_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Socket2::ReadUntilStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Socket2::ReadUntilStateAllowed
		return false;
	}
	return true;
}


/*----- PROTECTED REGION ID(Socket2::Socket2StateAllowed.AdditionalMethods) ENABLED START -----*/

//	Additional Methods

/*----- PROTECTED REGION END -----*/	//	Socket2::Socket2StateAllowed.AdditionalMethods

}	//	End of namespace
